<?php

/**
 * 快捷绑卡申请接口 - 示例
 *
 * @author sdk-generator
 * @Description
 */
namespace BsPayClassify;
use BsPaySdk\core\BsPayClient;
use BsPaySdk\request\V2QuickbuckleApplyRequest;

class QuickbuckleApply extends BaseInfo{

    function apply($data=array()){
        // 2.组装请求参数
        $request = new V2QuickbuckleApplyRequest();
// 请求日期
        $request->setReqDate(date("Ymd"));
// 请求流水号
        $request->setReqSeqId($data['ReqSeqId']);
// 汇付客户Id
        $request->setHuifuId($data['huifuID']);
// 商户用户id
        $request->setOutCustId($data['OutCustId']);
// 订单号
        $request->setOrderId($data['orderID']);
// 订单日期
        $request->setOrderDate(date("Ymd"));
// 银行卡号
        $request->setCardId($data['CardID']);
// 银行卡开户姓名
        $request->setCardName($data['CardName']);
// 银行卡绑定证件类型
        $request->setCertType("00");
// 银行卡绑定身份证
        $request->setCertId($data['CertID']);
// 个人证件有效期类型
        $request->setCertValidityType($data['type']);
// 个人证件有效期起始日
        $request->setCertBeginDate($data['startDate']);
// 个人证件有效期到期日长期有效不填；&lt;font color&#x3D;&quot;green&quot;&gt;示例值：20420905&lt;/font&gt;
        if ($data['type']==0){
            $request->setCertEndDate($data['endDate']);
        }
// 银行卡绑定手机号
        $request->setCardMp($data['mobile']);
// CVV2信用卡交易专用需要密文传输。&lt;br/&gt;使用汇付RSA公钥加密(加密前3位，加密后最长2048位），[参见参考文档](https://paas.huifu.com/partners/guide/#/api_jiami_jiemi)；&lt;br/&gt;&lt;font color&#x3D;&quot;green&quot;&gt;示例值：Ly+fnExeyPOTzfOtgRRur77nJB9TAe4PGgK9M……fc6XJXZss&#x3D;&lt;/font&gt;
//        $request->setVipCode("BndOZvPCXIMcRJi1uCkw4DiNHht+KkARa+sbKbiLh4cXhjywxYM8GMl7g1a5cc1aD2PD6rVvnGzhhgpJ8mzeb/gbzNcYbU5hEXJZm5HShghGucQJB/SoqCIlyaWlz3hnclaGzznWJa5qNa50mCxVqX4zbpuGPWXv+8AnYTu8/Vk=");
// 卡有效期信用卡交易专用，格式：MMYY，需要密文传输；&lt;br/&gt;使用汇付RSA公钥加密(加密前4位，加密后最长2048位），[参见参考文档](https://paas.huifu.com/partners/guide/#/api_jiami_jiemi)；&lt;br/&gt;&lt;font color&#x3D;&quot;green&quot;&gt;示例值：Ly+fnExeyPOTzfOtgRRur77nJB9TAe4PGgK9M……fc6XJXZss&#x3D;JXZss&#x3D;&lt;/font&gt;
// $request->setExpiration("test");
// 挂网协议编号授权信息(招行绑卡需要上送)；&lt;font color&#x3D;&quot;green&quot;&gt;示例值：34463343&lt;/font&gt;
        if (isset($data['protocol_no'])){
             $request->setProtocolNo($data['protocol_no']);
        }
// $request->setProtocolNo("test");
// 设备信息域 
// $request->setTrxDeviceInf(getTrxDeviceInf());

// 设置非必填字段
        $extendInfoMap = $this->getExtendInfos();
        $request->setExtendInfo($extendInfoMap);

// 3. 发起API调用
        $client = new BsPayClient();
        $result = $client->postRequest($request);
        return $result;
    }

/**
 * 非必填字段
 *
 */
function getExtendInfos() {
    // 设置非必填字段
    $extendInfoMap = array();
    // 商户名称
//    $extendInfoMap["merch_name"]= "测试";
    // 电子邮箱
//    $extendInfoMap["email"]= "changliang.wang@huifu.com";
    // 卡的借贷类型
    // $extendInfoMap["dc_type"]= "";
    // 风控信息
    // $extendInfoMap["risk_info"]= getRiskInfo();
    return $extendInfoMap;
}

function getTrxDeviceInf() {
    $dto = array();
    // 银行预留手机号
    // $dto["trx_mobile_num"] = "test";
    // 设备类型
    // $dto["trx_device_type"] = "test";
    // 交易设备IP
    // $dto["trx_device_ip"] = "test";
    // 交易设备MAC
    // $dto["trx_device_mac"] = "test";
    // 交易设备IMEI
    // $dto["trx_device_imei"] = "test";
    // 交易设备IMSI
    // $dto["trx_device_imsi"] = "test";
    // 交易设备ICCID
    // $dto["trx_device_icc_id"] = "test";
    // 交易设备WIFIMAC
    // $dto["trx_device_wfifi_mac"] = "test";
    // 交易设备GPS
    // $dto["trx_device_gps"] = "test";

    return json_encode($dto,JSON_UNESCAPED_UNICODE|JSON_UNESCAPED_SLASHES);
}

function getRiskInfo() {
    $dto = array();
    // IP类型
    // $dto["ip_type"] = "test";
    // IP值
    // $dto["source_ip"] = "test";
    // 设备标识
    // $dto["device_id"] = "";
    // 设备类型
    // $dto["device_type"] = "";
    // 银行预留手机号
    // $dto["mobile"] = "";

    return json_encode($dto,JSON_UNESCAPED_UNICODE|JSON_UNESCAPED_SLASHES);
}

}


