<?php

namespace App\Console;

use App\Console\Commands\IntegralCommand;
use App\Console\Commands\RanksCommand;
use App\Console\Commands\SearchWdOrderCommand;
use GuzzleHttp\Client;
use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;
use Illuminate\Support\Facades\Crypt;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        RanksCommand::class,
        SearchWdOrderCommand::class,
        IntegralCommand::class
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        // $schedule->command('inspire')
        //          ->hourly();
//        $schedule->command('SearchWdOrderCommand')->everyMinute();
//        $schedule->command('SearchWdOrderCommand')->everyFiveMinutes()->withoutOverlapping();
//        $schedule->command('RanksCommand')->everyFiveMinutes();
//        $schedule->command('IntegralCommand')->dailyAt('15:20');
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
