<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
    public function success($data=[],$msg="ok"){
        $this->parseNull($data);
        $result = [
            "code"=>200,
            "msg"=>$msg,
            "data"=>$data,
        ];
        return response()->json($result,200);
    }

    public function success_list($data,$msg="ok" ,$total=0,$re=[],$res="all"){
        $this->parseNull($data);
        $result = [
            "code"=>200,
            "msg"=>$msg,
            "data"=>[
                'size'=>15,
                'total'=>$total,
                "$res"=>$re,
                'list'=>$data
            ],
        ];
        return response()->json($result,200);
    }

    //失败返回
    public function error($code="422",$data="",$msg="fail"){
        $result = [
            "code"=>$code,
            "msg"=>$msg,
            "msg"=>$msg,
            "data"=>$data
        ];
        return response()->json($result,200);
    }

    //失败返回
    public function errormsg($code="422",$data="",$msg="fail"){
        $result = [
            "code"=>$code,
            "msg"=>$msg,
            "data"=>$data
        ];
        return response()->json($result,200);
    }
    public function new_error($code="422",$msg="fail"){
        $result = [
            "code"=>$code,
            "msg"=>$msg,
        ];
        return response()->json($result,200);
    }

    //如果返回的数据中有 null 则那其值修改为空 （安卓和IOS 对null型的数据不友好，会报错）
    private function parseNull(&$data){
        if(is_array($data)){
            foreach($data as &$v){
                $this->parseNull($v);
            }
        }else{
            if(is_null($data)){
                $data = "";
            }
        }
    }

    public function object_to_array($obj){
        $_arr=(array)$obj;
        $arr = null;
        foreach($_arr as $key=>$val){
            if(strstr($key,'httpHeaders')){
                $key = 'httpHeaders';
            }
            if(strstr($key,'httpStateCode')){
                $key = 'httpStateCode';
            }
            if(strstr($key,'reqDatas')){
                $key = 'reqDatas';
            }
            if(strstr($key,'rspDatas')){
                $key = 'rspDatas';
            }
            if(strstr($key,'error')){
                $key = 'error';
            }
            $arr[$key]=$val;
        }
        return $arr;
    }
}
