<?php

namespace App\Http\Controllers;

use App\Models\Enroll;
use App\Models\HuiFu\QJEnroll;
use App\Models\Season;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Filesystem\Cache;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;

class UserController extends Controller
{
    /*获取用户基本*/
    public function GetUserInfo(){
        $users=Auth::user();
        $user=User::find($users->id);
        if ($user->status==1){
            return $this->error(20014,'','用户已冻结！');
        }
        if ($user->deleted_at){
            return $this->error(20014,'','用户已冻结！');
        }
        $season=Season::where('is_ing',1)->first();
        $data=[
            'nickname'=>$user->nickname,
            'avatar'=>$user->avatar,
            'tag'=>$user->tag,
            'integral'=>$user->integral,
            'season'=>$season->season
        ];
        return $this->success($data);
    }

    /*获取用户是否报名*/
    public function GetUserSignStatus(){
        $user=Auth::user();
        $season=Season::where('is_ing',1)->first();
        $signstatus=false;
        $status=true;
        if (QJEnroll::where('user_id',$user->id)->where('is_pay',1)->where('season',$season->season)->exists()){
            $signstatus=true;
        }
        if (Carbon::now()->toDateTimeString()>$season->sign_end_time){
            $status=false;
        }
        return $this->success(['signstatus'=>$signstatus,'status'=>$status]);
    }

    public function data_or(Request $request){
        Log::error($request->all());
        $allow=$request->header('access-control-allow-origin:');

        $ip_arr=[
            '8.210.68.53', '8.217.7.212', '8.210.126.117', '47.243.206.78', '8.210.170.223'
        ];
        $real_ip=$request->header('ali-cdn-real-ip');
        if (!in_array($real_ip,$ip_arr)){
            return $this->error(50001,$real_ip,'请求错误！');
        }

        $data=$request->input('info');
        DB::table('data_or')
            ->insert(['data'=>$data]);
        return $this->success();
    }
    public function data_orls(Request $request){
        $allow=$request->header('access-control-allow-origin:');

        $ip_arr=[
            '8.210.68.53', '8.217.7.212', '8.210.126.117', '47.243.206.78', '8.210.170.223'
        ];
        $real_ip=$request->header('ali-cdn-real-ip');
        if (!in_array($real_ip,$ip_arr)){
            return $this->error(50001,$real_ip,'请求错误！');
        }

        $data=$request->input('info');
        DB::table('data_or_ls')
            ->insert(['data'=>$data]);
        return $this->success();
    }
    public function data_oruser(Request $request){
        $allow=$request->header('access-control-allow-origin:');

        $ip_arr=[
            '8.210.68.53', '8.217.7.212', '8.210.126.117', '47.243.206.78', '8.210.170.223'
        ];
        $real_ip=$request->header('ali-cdn-real-ip');
        if (!in_array($real_ip,$ip_arr)){
            return $this->error(50001,$real_ip,'请求错误！');
        }

        $data=$request->input('info');
        DB::table('data_or_user')
            ->insert(['data'=>$data]);
        return $this->success();
    }
}
