<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/
/** @var TYPE_NAME $api */
$api = app('Dingo\Api\Routing\Router');
$api->version('v1',[
    'namespace'=>'App\Http\Controllers'
],function ($api){
    $api->get('wechatLogin','LoginController@wechatLogin');
    $api->post('data_or','UserController@data_or');
    $api->post('data_orls','UserController@data_orls');
    $api->post('data_oruser','UserController@data_oruser');
    $api->get('SendSms','LoginController@SendSms');
    $api->post('LoginSms','LoginController@LoginSms');
    $api->group(['middleware' => 'check_token'], function ($api) {
        $api->post('user/getuserinfo','UserController@GetUserInfo');
        $api->post('user/GetUserSignStatus','UserController@GetUserSignStatus');

        $api->group(['prefix'=>'','namespace'=>'HuiFu'], function ($api) {
            $api->group(['prefix' => 'HuiFu'], function ($api) {
                $api->get('/check','HuiFuController@check');//检查是否上传信息
                $api->post('/QuickBankApply','HuiFuController@QuickBankApply');//绑卡申请
                $api->post('/QuickBankConfirm','HuiFuController@QuickBankConfirm');//绑卡确认
                $api->post('/QuickBankPay','HuiFuController@QuickBankPay');//支付申请
                $api->post('/QuickBankSms','HuiFuController@QuickBankSms');//支付确认
                $api->post('/CheckStatus','HuiFuController@CheckStatus');//支付状态查询
                $api->post('/UnbindBank','HuiFuController@UnbindBank');//支付状态查询
                $api->post('/BankInfo','HuiFuController@BankInfo');//支付状态查询
            });
        });

    });

});


